<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackerHit.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackerHit.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_tracker_hit_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackerHit_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackerHit_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_const_8h.html">eicd/TrackerHitConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tracker_hit_obj_8h.html">eicd/TrackerHitObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>TrackerHitCollection;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>TrackerHitCollectionIterator;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>ConstTrackerHit;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_hit_collection.html">TrackerHitCollection</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_tracker_hit_collection_iterator.html">TrackerHitCollectionIterator</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">TrackerHit</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">TrackerHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">cellID1</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">time</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">EDep</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">EDepError</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">TrackerHit</a>(<a class="code" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>* obj);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">TrackerHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; other);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a7f4e05d676d1860a053d33bddecdb595">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a> <a class="code" href="classeic_1_1_tracker_hit.html#a8eeda2b7c7977a6ad8b4d770377e9f0a">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit.html#a2e0cfafb86783ffd6509df1c2b1b0214">~TrackerHit</a>();</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">EDep</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">EDepError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">cellID0</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">cellID1</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">time</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> value);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">EDep</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">EDepError</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>(std::array&lt;double, 3&gt; value);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;  std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">position</a>();</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>(std::array&lt;double, 3&gt; value);</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">double</span> value);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;  std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">covMatrix</a>();</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_hit.html#a869695bf43424641dfb61aba608d7966">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit.html#a7924fa56b8549712e16ad4ae41771127">  118</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_tracker_hit.html#a7924fa56b8549712e16ad4ae41771127">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit.html#a53c2bf52c34481ec3c2702ac2a52100f">  120</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_hit.html#a53c2bf52c34481ec3c2702ac2a52100f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_hit.html#a53c2bf52c34481ec3c2702ac2a52100f">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit.html#ac945a6091ec6a4f4192263ad216725a3">  124</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_tracker_hit.html#ac945a6091ec6a4f4192263ad216725a3">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_tracker_hit.html">TrackerHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="classeic_1_1_tracker_hit.html#ab15469ab7f070f821d323a5b4af2e719">  126</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_tracker_hit.html#ab15469ab7f070f821d323a5b4af2e719">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">getObjectID</a>().index; }</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;  <a class="code" href="classeic_1_1_tracker_hit_obj.html">TrackerHitObj</a>* m_obj;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;};</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_tracker_hit.html">ConstTrackerHit</a>&amp; value);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_tracker_hit_html_a2e6047184f2f6274249f5817c6cc9a4e"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a2e6047184f2f6274249f5817c6cc9a4e">eic::TrackerHit::position</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the position. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00059">TrackerHit.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a869695bf43424641dfb61aba608d7966"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a869695bf43424641dfb61aba608d7966">eic::TrackerHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00083">TrackerHit.cc:83</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_ab15469ab7f070f821d323a5b4af2e719"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#ab15469ab7f070f821d323a5b4af2e719">eic::TrackerHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00126">TrackerHit.h:126</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a53c2bf52c34481ec3c2702ac2a52100f"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a53c2bf52c34481ec3c2702ac2a52100f">eic::TrackerHit::operator==</a></div><div class="ttdeci">bool operator==(const TrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00120">TrackerHit.h:120</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_acfb04d137bad412262516ac2614c52f5"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#acfb04d137bad412262516ac2614c52f5">eic::TrackerHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00090">TrackerHit.cc:90</a></div></div>
<div class="ttc" id="_tracker_hit_obj_8h_html"><div class="ttname"><a href="_tracker_hit_obj_8h.html">TrackerHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_tracker_hit.html">eic::TrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00026">TrackerHit.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_collection_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_collection.html">eic::TrackerHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_collection_8h_source.html#l00050">TrackerHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_obj_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_obj.html">eic::TrackerHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_obj_8h_source.html#l00018">TrackerHitObj.h:18</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a7f4e05d676d1860a053d33bddecdb595"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a7f4e05d676d1860a053d33bddecdb595">eic::TrackerHit::operator=</a></div><div class="ttdeci">TrackerHit &amp; operator=(const TrackerHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00035">TrackerHit.cc:35</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_ac945a6091ec6a4f4192263ad216725a3"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#ac945a6091ec6a4f4192263ad216725a3">eic::TrackerHit::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const TrackerHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00124">TrackerHit.h:124</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a83a1edbfcbadcf032d39fe06b8285bea"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a83a1edbfcbadcf032d39fe06b8285bea">eic::TrackerHit::time</a></div><div class="ttdeci">const long long &amp; time() const</div><div class="ttdoc">Access the The time of the hit. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00056">TrackerHit.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a2e0cfafb86783ffd6509df1c2b1b0214"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a2e0cfafb86783ffd6509df1c2b1b0214">eic::TrackerHit::~TrackerHit</a></div><div class="ttdeci">~TrackerHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00049">TrackerHit.cc:49</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a7924fa56b8549712e16ad4ae41771127"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a7924fa56b8549712e16ad4ae41771127">eic::TrackerHit::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from TrackerHitObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8h_source.html#l00118">TrackerHit.h:118</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a8eeda2b7c7977a6ad8b4d770377e9f0a"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a8eeda2b7c7977a6ad8b4d770377e9f0a">eic::TrackerHit::clone</a></div><div class="ttdeci">TrackerHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00045">TrackerHit.cc:45</a></div></div>
<div class="ttc" id="classeic_1_1_const_tracker_hit_html"><div class="ttname"><a href="classeic_1_1_const_tracker_hit.html">eic::ConstTrackerHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_const_8h_source.html#l00024">TrackerHitConst.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a1a3bb1b390d48c52a7a89a9edea59364"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a1a3bb1b390d48c52a7a89a9edea59364">eic::TrackerHit::EDep</a></div><div class="ttdeci">const float &amp; EDep() const</div><div class="ttdoc">Access the EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00057">TrackerHit.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_aee0ed60823ade1c9e2a475988d224693"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#aee0ed60823ade1c9e2a475988d224693">eic::TrackerHit::TrackerHit</a></div><div class="ttdeci">TrackerHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00016">TrackerHit.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a268d4610aa5051a0481c51ca8e905c69"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a268d4610aa5051a0481c51ca8e905c69">eic::TrackerHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00054">TrackerHit.cc:54</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_aed3b8c051404345de2f276c2073144ba"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#aed3b8c051404345de2f276c2073144ba">eic::TrackerHit::EDepError</a></div><div class="ttdeci">const float &amp; EDepError() const</div><div class="ttdoc">Access the error on EDep. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00058">TrackerHit.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a43e705a949997479f6b219b42ccb9a59"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a43e705a949997479f6b219b42ccb9a59">eic::TrackerHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00055">TrackerHit.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_html_a582681d6ccc92f543cf251bf34d4a1f8"><div class="ttname"><a href="classeic_1_1_tracker_hit.html#a582681d6ccc92f543cf251bf34d4a1f8">eic::TrackerHit::covMatrix</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; covMatrix() const</div><div class="ttdoc">Access the covMatrix. </div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_8cc_source.html#l00061">TrackerHit.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_tracker_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_tracker_hit_collection_iterator.html">eic::TrackerHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_tracker_hit_collection_8h_source.html#l00029">TrackerHitCollection.h:29</a></div></div>
<div class="ttc" id="_tracker_hit_const_8h_html"><div class="ttname"><a href="_tracker_hit_const_8h.html">TrackerHitConst.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
